# Angular inliner loader

<a href="https://badge.fury.io/js/angular-inliner-loader"><img src="https://badge.fury.io/js/angular-inliner-loader.svg" align="right" alt="npm version" height="18"></a>

Webpack loader that inlines template and styles in Angular components.

### Installing

```bash
$ npm install angular-inliner-loader --save
```

### Usage

Chain the angular-inliner-loader to your currently used typescript loader.

loaders: ['awesome-typescript-loader', 'angular-inliner-loader'],

Supported loader options (can be given either via query or options object):

```
styleSuffix:        Replace style file extensions with given suffix.
templateSuffix:     Replace template file extensions with given suffix.
```

### Example

```javascript
module: {
  loaders: [
    {
      test: /\.ts$/,
      loaders: ['awesome-typescript-loader', 'angular-inline-loader'],
      exclude: [/\.(spec|e2e)\.ts$/]
    },
    {
      test: /\.(html|css)$/,
      loader: 'raw-loader'
    }
  ]
}
```

To be able to use the angular-inliner-loader you must have a loader registered, which can handle the template and style files.
