var loaderUtils = require("loader-utils");

var stringRegex = /(['`"])((?:[^\\]\\\1|.)*?)\1/g;

var stylesRegex = /styleUrls *:(\s*\[[^\]]*?\])/g;
var templateRegex = /templateUrl\s*:(\s*['"`](.*?)['"`]\s*([,}]))/gm;

function replaceStringsWithRequires(suffix, string) {
  return string.replace(stringRegex, function (match, quote, url) {
    if (url.charAt(0) !== ".") {
      url = "./" + url;
    }

    if (suffix) {
      url = (url.substr(0, url.lastIndexOf('.')) || url) + '.' + suffix;
    }

    return "require('" + url + "')";
  });
}

module.exports = function(source, sourceMap) {
  var options = loaderUtils.getOptions(this);

  return source
    .replace(stylesRegex, function (match, urls) {
      return "'styles':" + replaceStringsWithRequires(options.styleSuffix, urls);
    })
    .replace(templateRegex, function (match, url) {
      return "template:" + replaceStringsWithRequires(options.templateSuffix, url);
    });
};
